Nowe posty

Autor Wątek: instalacja tleenX2  (Przeczytany 4662 razy)

Offline Tomek

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 39
    • Zobacz profil
instalacja tleenX2
« dnia: 2005-07-03, 11:14:22 »
Mam krótkie pytanko. Jak zainstalować na dysku PLD-live?

Tomek

Offline Maciej Rutecki

  • Administrator
  • Guru
  • *****
  • Wiadomości: 2107
    • Zobacz profil
instalacja tleenX2
« Odpowiedź #1 dnia: 2005-07-03, 11:55:34 »
2005-07-03 11:14:22 tombo napisał:

> Mam krótkie pytanko. Jak zainstalować na dysku PLD-live?
 >
 > Tomek

www.pld-linux.org

Jest tam naprawde dobra dokumentacja.

Offline

  • Users
  • Użytkownik
  • **
  • Wiadomości: 56
    • Zobacz profil
instalacja tleenX2
« Odpowiedź #2 dnia: 2005-07-03, 00:44:00 »
witam:)
mam problem z instalacja tleenX2:/ mianowicie pociagnalem libtlen, zainstalowalem, jest gut:)
potem gtk+, pociagnalem, rozpakowalem..i jak daje mu ./configure to mi tam dziala i dziala i na koniec dostaje komunikat:
package requirements(glib-2.0 >=2.7.1     atk >=1.01
pango>=1.9.0 were not met.
consider adjusting the PKG_CONFIG_PATH enviroment variable if you installed software in a non-standatr prefix.
alternativeley you may set the BASE_DEPENDENCIES_CFLAGS and BASE_DEPENDENCITES_LIBS enviroment variables to avoid the need to call pkg-cofig.

czytalem posty w forum na ten temat..czesto przewijala sie rada by napisac polecenie:
export PKG_CONFIG_PATH=/usr/bin/pkg-config
lub
export PKG_CONFIG_PATH=/usr/bin/pkg-config:$PKG_CONFIG_PATH
bo moj plik nazywa sie pkg-config i jest w usr/bin
ale to nie pomaga..
na tej stronie http://developer.gnome.org/doc/API/2.4/gtk/gtk-building.html
napisano ze jak cos takiego nastapi(jesli dobrze qmam:) ) to musze edytowac plik pkg-config i wpisac mu:
      CPPFLAGS="-I/opt/gtk/include"
      LDFLAGS="-L/opt/gtk/lib"
      PKG_CONFIG_PATH="/opt/gtk/lib/pkgconfig"
      export CPPFLAGS LDFLAGS PKG_CONFIG_PATH
i ew cos takiego:
     
     LD_LIBRARY_PATH="/opt/gtk/lib"
      PATH="/opt/gtk/bin:$PATH"
      export LD_LIBRARY_PATH PATH

ale nie moge otworzyc do edycji tego pliku..jak otwieram go z kwrite to mam 7 znakow z czego 4 to kwadraciki:/ inne edytory textu daja tez jakies slaczki..
uzywam whoppixa:)z linem mam od niedawna styk:) z gory wielkie dziex za pomoc:)
P.S. jaki jeszcze komunikator pozwala jednoczesnie miec na liscie kontakty z gg i tlenu?:)

Offline

  • Users
  • Użytkownik
  • **
  • Wiadomości: 56
    • Zobacz profil
instalacja tleenX2
« Odpowiedź #3 dnia: 2005-07-03, 18:00:50 »
ludzie...pomozcie:)do 4 rano z tym siedzialem..:)chociaz powiedzcie jak ten plik edytowac..

Offline Maciej Rutecki

  • Administrator
  • Guru
  • *****
  • Wiadomości: 2107
    • Zobacz profil
instalacja tleenX2
« Odpowiedź #4 dnia: 2005-07-03, 19:01:20 »
2005-07-03 00:44:00 reaz napisał:


 > package requirements(glib-2.0 >=2.7.1     atk >=1.01
 > pango>=1.9.0 were not met.
 
Masz to zainstalowane (szczegolnie chodzi o pliki naglowkowe)?

Offline

  • Users
  • Użytkownik
  • **
  • Wiadomości: 56
    • Zobacz profil
instalacja tleenX2
« Odpowiedź #5 dnia: 2005-07-04, 11:53:10 »
sciagnalem pakiet libtlen..wiec raczej byc powinno..ale nie wiem na 100%..
jak sie moge przekonac czy to jest zainstalowane?
bo na stronce co podalem linka w pierwszym poscie pisze ze to w pliku pkg-config poprostu moze nie byc sciezki do pakietow..ale nie jestem pewien czy chodzi im o to co mi wyskakuje..:/